#!/usr/bin/env python 
# -*- coding: utf-8 -*-

'''
License:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 3 of the License.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
The GNU Public License is available at
http://www.gnu.org/copyleft/gpl.html
'''
from gimpfu import *

def open_svg_as_layer(image, layer, file):

   pdb.gimp_vectors_import_from_file(image ,file ,TRUE ,TRUE)
   resolutionx, resolutiony = pdb.gimp_image_get_resolution(image)
   fileImage = pdb.file_svg_load(file, file, resolutionx, 0, 0, 2, run_mode=RUN_INTERACTIVE)
   fileLayer = fileImage.layers[0]
   pdb.gimp_edit_copy(fileLayer)
   pdb.gimp_floating_sel_to_layer(pdb.gimp_edit_paste(layer, True))

register(
    "python_fu_open_svg_as_layer",
    "Open svg",
    "open 0.3",
    "MrQ",
    "GPL",
    "2016",
    "<Image>/File/Open svg as layer...",
    "RGB*,GRAY*",
    [
        (PF_FILE, "file", "File to open (svg) as layer", "")
    ],
    [],
    open_svg_as_layer)

main()



